/* Barra de navegación */

.navbar {
    padding: 2rem;
    background-color: #f5f6f7;
}


.navbar-collapse {
    align-items: center;
    justify-content: space-between;
}





/* Hero */

.hero {
    background-color: #f5f6f7;
    min-height: 450px;
    text-align: center;
}

.hero-principal {
    padding: 3rem;
}


section {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

h1{
    font-size: 2.5rem;
}

.hero-imagen {
 width: 60rem;
}

.floating { 
    animation-name: floating;
    animation-duration: 3s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
    margin-left: 30px;
    margin-top: 5px;
}

@keyframes floating {
    0% { transform: translate(0,  0px); }
    50%  { transform: translate(0, 15px); }
    100%   { transform: translate(0, -0px); }   
}

.hero-principal h1{
    font-size: 2.5em;
    color: #000000;
    font-family:system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.hero-principal h2{
    font-size: 1.5em;
    color: #615151;
    font-family:'Poppins', sans-serif;;
}







/* ABOUT ME */
.seccion-oscura {
    color: white;
    background-color: #1b1b32;
}
.seccion-clara {
    color:black;
    background-color: white;
}

.about-me {
    height: 500px;
    padding: 10px;
}

.about-me .contenedor {
    max-width: 600px;
    text-align: center;

}

.seccion-titulo {
    font-size: 2rem;
    padding: 15px 0;
    font-family: poppins, cursive;
    font-weight: bold;
}

.seccion-texto {
    font-size: 1.2rem;
    font-family: poppins, monospace;
}

.texto-negro {
    color: black;
    background-color: white;
}
.seccion-descripcion {
    font-size: 1.2rem;
    color: #584e4e;
}




/* SECCION EXPERIENCIA */

.experiencia {
    padding: 40px 40px 60px 40px;
}

.experiencia .columna {
    padding: 20px;
    border: 2px solid #8080804d;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content:space-evenly;
    transition: all 0.2s ease-in;
}

.experiencia .columna:hover{
    color: white;
    background-color: #1b1b32;
}

.experiencia-titulo {
    font-size: 25px;
    font-weight: bold;
    margin: 10px 0;
}

.experiencia i{
    font-size: 2.5rem;
    color: #7ade30;
    background-color: #0a0a23;
    padding: 8px 19px;
    border-radius: 50%;
}


.badges-contenedor{
    font-size: 20px;
    font-weight: bold;
    margin: 10px 0;
}

.badge {
    margin: 5px;
}

.badge:hover {
    cursor: pointer;
}




/* SECCION PROYECTOS */
.proyectos-recientes{
    padding: 40px;
}

.proyectos-recientes img {
    height: 100%;
    width: 100%;
    padding: 10px;
    border-radius: 10px;
    display: block;
    transition: all 0.2s ease;
}

.proyectos-contenedor {
    padding-top: 60px;
    margin-bottom: 40px;
}

.overlay {
    transition: all 0.2s ease;
    opacity: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.overlay p{
    font-size: 25px;
    font-weight: bold;
    margin-bottom: 0;
}

.proyecto {
    position: relative;
}


.proyecto:hover img {
    opacity: 0.2;
}

.proyecto:hover .overlay {
    opacity: 1;
}


.overlay .iconos-contenedor{
    display: flex;
}

.overlay i{
    color: black;
    font-size: 60px;
    margin: 10px;
}


.btn-info {
    font-size: 1.1rem;
    margin: 20px;
}





/* ARTÍCULOS */

.articulos {
    min-height: 500px;
    padding: 30px;
}

.articulos .card{
    width: 80%;
    max-width: 600px;
    margin:20px;
}

.articulos .card-header {
    font-weight: bold;
}




/* TESTIMONIOS */

.testimonios {
    padding: 40px 40px 80px 40px;
}

.testimonios .carousel {
    max-width: 800px;
}


.carousel-item .container {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-items: center;
}

.testimonio-img {
    height: 150px;
    width: 150px;
    margin: 10px 10px 20px 10px;
}

.testimonio-texto {
    max-width: 70%;
    font-size: 20px;
    text-align: center;
    font-family: poppins, monospace;
}

.testimonio-info {
    font-weight: bold;
    text-align: center;
}

.testimonio-info .cargo{
    margin-bottom: 100px;
}

.testimonio-footer .cliente {
    font-size: 1.2rem;
}

.testimonio-info .cargo{
    font-size: 0.9rem;
    color: #584e4e;
}



/* CONTACTO */

.contacto .container {
    max-width: 1100px;
    min-height: 200px;
    padding: 20px;
}

.contacto .rectangulo {
    margin-top: -5rem;
    background-color: rgb( 13, 110, 253);
    border-radius: 10px;
    box-shadow: 0px 1px 4px 1px;
}

.contacto .row {
    width: 100%;
    display: flex;
    align-items: center;
}

.contacto .seccion-descripcion {
    color:white;
    font-size: 1.2rem;
}

.contacto button {
    color: white;
    font-weight: bold;
    background-color: transparent;
    border: 2px solid white;
    padding: 1.25em 2em;
    border-radius: 100px;
    transition: all 0.2s ease-in-out;
}


.contacto button:hover {
    background-color: white;
    color: black;
}

.contacto button i{
    color:white;
    font-size: 1.3rem;
    transition: all 0.2s ease-in-out;
}


.contacto button i:hover{
    color: black;
}



/* FOOTER */

footer {
    min-height: 500px;
}

.footer-logo {
    height: 80px;
    width: 80px;
    margin: 10px;
}

.footer-texto {
    font-size: 2.5rem;
    padding: 20px;
    margin-bottom: 30px;
    font-family: monospace, sans-serif;
}


.iconos-redes-sociales a{
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2px;
    margin: 10px;
    border: 2px solid white;
    border-radius: 50%;
    transition: all 0.2s ease-in;
}

.iconos-redes-sociales i {
    color: white;
    font-size: 1.5rem;
    transition: all 0.2 ease-in;
}


.iconos-redes-sociales a:hover{
    background-color: white;
    border: 2px solid rgb(13, 110, 253)
}

.iconos-redes-sociales a:hover i {
    color: black;
}

.derechos-de-autor {
    font-size: 15px;
    color: #aeaeae;
    padding: 20px;

}












/* media querry */
@media screen and (max-width: 767px) {
    .navbar-brand {
        display: none;
    }
}


@media screen and (min-width:700px){
    .hero-inferior-imagen {
        max-width: 600px;
    }
}


@media screen and (max-width:400px) {
    .overlay p{
        font-size: 18px;
    }
    .overlay i {
        font-size: 40px;

    }
}

@media screen and (max-width:800px) {
    .testimonio-img{
        height: 120px;
        width:120px
    }

    .testimonio-texto{
        font-size: 18px;
    }
}




/* CARTITA QUE SE ABRE */

